Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.util
Class ECPObservableValue

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.value.AbstractObservableValue
              org.eclipse.emf.ecp.edit.internal.swt.util.ECPObservableValue

All Implemented Interfaces:
  org.eclipse.core.databinding.observable.IObservable, org.eclipse.core.databinding.observable.value.IObservableValue

    public class ECPObservableValue

extends org.eclipse.core.databinding.observable.value.AbstractObservableValue

This implements an ObservableValue of a list. This class is used for binding.

Author:
  Eugen Neufeld

Constructor Summary
`ECPObservableValue(org.eclipse.core.databinding.observable.list.IObservableList list, int index, Object valueType)` The Constructor to crate an observable value for a `IObservableList`, an index and a special value type.

Method Summary
`int` | `getIndex()`
`Object` | `getValueType()`
`void` | `setIndex(int index)`

Methods inherited from class org.eclipse.core.databinding.observable.value.AbstractObservableValue
`addValueChangeListener, getValue, isStale, removeValueChangeListener, setValue`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Constructor Detail

### ECPObservableValue

    public ECPObservableValue(org.eclipse.core.databinding.observable.list.IObservableList list,
                              int index,
                              Object valueType)

  The Constructor to crate an observable value for a `IObservableList`, an index and a special value type.

  Parameters:
    `list` - the `IObservableList`
    `index` - the index of this value
    `valueType` - the type of the observed object

Method Detail

### getValueType

    public Object getValueType()

### getIndex

    public int getIndex()

  Returns:
    the index

### setIndex

    public void setIndex(int index)

  Parameters:
    `index` - the index to set

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.